PLD Linux Forum Strona Główna PLD Linux Forum
Oficjalne forum dystrybucji PLD Linux

FAQFAQ  SzukajSzukaj  UżytkownicyUżytkownicy  GrupyGrupy
RejestracjaRejestracja  ZalogujZaloguj

Poprzedni temat «» Następny temat
Spotify dla PLD/poldka. spotify-client-1.0.25.127
Autor Wiadomość
kamil1009 

Distro: PLD 3.0
Dołączył: 27 Lut 2016
Posty: 4
Skąd: /home/michal ;)
Wysłany: 28 Luty 2016, 15:18   Spotify dla PLD/poldka. spotify-client-1.0.25.127

Witam
Chcialbym zaznaczyc ze to moj pierwszy post na forum :)

#########
#UWAGA#
#########
TYLKO DLA ARCHITEKTURY 64bit(amd64, x86_64)
Innej architektury w domu niemam :P

Przerzucilem sie na PLD z Gentoo i troche brakowalo mi Spotify
(bo w Gentoo pakiet Spotify jest w oficjalnych repozytoriach),
no wiec zrobilem sobie repozytorium poldka ze Spotify.

Sam pakiet spotify-client jest wyciagniety z repozytorium YUM/DNF dla Fedory 23
Jest w pelni kompatybilny z PLD Th (Na Ac nietestowalem)

Repozytorium zawiera tylko 3 pakiety:
compact-libgcrypt: Jest zaleznoscia Spotify ktorej nie ma w reposytorium PLD Th 2015
spotify-configurator: Taki programik moj programik ktory linkuje biblioteki do odpowiednich sciezek w zaleznosci od 32 lub 64 bitowej wersjii systemu tak by mogly byc uzywane przez Spotify [DEPRECATED. Patrz EDIT]
spotify-client: No i bohater tematu. Klient Spotify

Tu macie config do repozytorium: config

Wiec co trzeba zrobic?:
1. Pobrac config i wrzucic do /etc/poldek/repos.d/
2. Zainstalowac spotify-client, przez poldka
3. Spotify powinien dzialac. Mozesz go uruchomic poprzez komede: spotify

Strone repozytorium znajdziecie tu: http://michal-lach.github.io/spotify.html

Repozytorium, program spotify-configurator wykonalem sam. Tylko pakiet compat-libgcrypt jest z repozytorium z Fedory.

#######
# EDIT #
#######
spotify-configurator siedzi teraz w repozytorium obsolete ktore musicie wlaczyc. spotify-configurator powinniscie uzywac do wersji 0.9.* ktore tez sie tam znajda za jakis czas

#########
#UPDATE#
#########
Po paro miesiecznej przerwie wracam do PLD. W ciagu najblizszych dni powinien powinna pojawic sie nowa paczka ;)



Milego sluchania. :)
Ostatnio zmieniony przez kamil1009 11 Wrzesień 2016, 16:10, w całości zmieniany 8 razy  
 
 
kamil1009 

Distro: PLD 3.0
Dołączył: 27 Lut 2016
Posty: 4
Skąd: /home/michal ;)
Wysłany: 28 Luty 2016, 17:24   UPDATE: Experymentalne starsze wersje

Uploadowalem starsz wersje i gnome-support do tej starszej noweszej :P . Sa to wersje eksperymentalne wiec odlecam uzycia przez najblizszy czas
 
 
KrystianT 

Distro: PLD 3.0
Pomógł: 189 razy
Dołączył: 26 Paź 2005
Posty: 1920
Skąd: Kamionek
Wysłany: 2 Marzec 2016, 23:04   

Z takimi rzeczami to lepiej pisać na pld-devel-pl@lists.pld-linux.org
Z tego co pamiętam trzeba się najpierw zapisać http://lists.pld-linux.org/mailman/listinfo
_________________
Krystian T.
"Errare humanum est."
 
 
mmazur 

Pomógł: 3 razy
Dołączył: 05 Lip 2005
Posty: 61
Skąd: Warszawa
Wysłany: 8 Marzec 2016, 21:30   

Ano, trza uderzać do deweloperów, a na forum to raczej mało prawdopodobne :)
 
 
kamil1009 

Distro: PLD 3.0
Dołączył: 27 Lut 2016
Posty: 4
Skąd: /home/michal ;)
Wysłany: 14 Marzec 2016, 16:17   

No wlasnie zamierzalem w najblizszym czasie na mailing listy napisac ale dopiero wtedy gdy bede mial wlasno recznie przeportowany pakiet z .deb na .rpm i plik .spec. Bo poki co jak buduje to rpm wywala strasznie duzo niespelnionych zaleznosci ktorych niezaznaczylem (przewaznie pliki glibc). Zamierzam tez stworzyc repozytoruim testing bo musze gdzies to wrzucic i przetestowac z poldka. Z rpm'ami dopiero zaczynam :)
 
 
kamil1009 

Distro: PLD 3.0
Dołączył: 27 Lut 2016
Posty: 4
Skąd: /home/michal ;)
Wysłany: 11 Wrzesień 2016, 16:07   

Updated do wersji 1.0.37. Dodalem nowy repo config. Dodalem repozytorium obsolete i pierwszym programem przeniesionym do obosolete jest spotify-configurator
 
 
Wyświetl posty z ostatnich:   
Odpowiedz do tematu
Nie możesz pisać nowych tematów
Nie możesz odpowiadać w tematach
Nie możesz zmieniać swoich postów
Nie możesz usuwać swoich postów
Nie możesz głosować w ankietach
Dodaj temat do Ulubionych
Wersja do druku

Skocz do:  

Powered by phpBB modified by Przemo © 2003 phpBB Group